pong(6x)

NAME
pong - Pong Home Video Game Emulator

SYNOPSIS
pong [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--clock float] [--noise] [--fps]

DESCRIPTION
The pong program simulates an ancient Pong home video game, as well as various artifacts from displaying it on a color TV set.

OPTIONS
pong accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--clock
    The score of the game will be the current time.

--noise float
    How noisy the video signal should be (between 0.0 and 4.0 or so).

--fps
    Display the current frame rate and CPU load.

(-p1 | --p2) mode
    Set a player to either ai, mouse, tablet, kbleft (for W and S), or kbright (or just kb, for arrow keys).

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

X RESOURCES
Notable X resources supported include the following which correspond to standard TV controls: analogTVTint, analogTVColor, analogTVBrightness, and analogTVContrast. They range from 0 to 100, except for tint which is an angle between -180 and +180.

TRADEMARKS
Pong may be a trademark.

SEE ALSO
X(1), xscreensaver(1), xanalogtv(6x), apple2(6x)

COPYRIGHT
2003 by Jeremy English. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Original Pong program by Jeremy English <jenglish@myself.com>. Scoring and television emulation by Trevor Blackwell <tlb@tlb.org>.